Package org.eclipse.net4j.signal

# Class Indication

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalReactor
org.eclipse.net4j.signal.Indication

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `AcknowledgeCompressedStringsIndication`, `MonitorCanceledIndication`, `MonitorProgressIndication`

public abstract class Indication extends SignalReactor
Represents the receiver side of a one-way `signal`, i.e., one with no response.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`Indication(SignalProtocol<?> protocol, short signalID)`
`Indication(SignalProtocol<?> protocol, short id, String name)`
`Indication(SignalProtocol<?> protocol, Enum<?> literal)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`execute(BufferInputStream in, BufferOutputStream out)`
`protected abstract void`
`indicating(org.eclipse.net4j.util.io.ExtendedDataInputStream in)`

### Methods inherited from class org.eclipse.net4j.signal.SignalReactor

`createMonitor, monitor`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Indication

public Indication(SignalProtocol<?> protocol, short id, String name)

Since:
  2.0

### Indication

public Indication(SignalProtocol<?> protocol, short signalID)

Since:
  2.0

### Indication

public Indication(SignalProtocol<?> protocol, Enum<?> literal)

Since:
  2.0

## Method Details

### execute

protected void execute(BufferInputStream in, BufferOutputStream out) throws Exception

Specified by:
  `execute` in class `Signal`
Throws:
  `Exception`

### indicating

protected abstract void indicating(org.eclipse.net4j.util.io.ExtendedDataInputStream in) throws Exception

Throws:
  `Exception`